Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.table
Class ColumnExpressionCollector

    java.lang.Object
      net.sf.jasperreports.components.table.ColumnExpressionCollector

All Implemented Interfaces:
  ColumnVisitor<java.lang.Void>

    public class ColumnExpressionCollector

extends java.lang.Object
implements ColumnVisitor<java.lang.Void>

Version:
  $Id: ColumnExpressionCollector.java 3641 2010-03-28 10:13:12Z lucianc $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`ColumnExpressionCollector(JRExpressionCollector mainCollector, JRExpressionCollector datasetCollector)`

Method Summary
`protected void` | `collectCell(Cell cell)`
`void` | `collectColumns(java.util.List<BaseColumn> columns)`
`protected void` | `collectGroupCells(java.util.List<GroupCell> groupCells)`
`java.lang.Void` | `visitColumn(Column column)`
`java.lang.Void` | `visitColumnGroup(ColumnGroup columnGroup)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColumnExpressionCollector

    public ColumnExpressionCollector(JRExpressionCollector mainCollector,
                                     JRExpressionCollector datasetCollector)

Method Detail

### collectColumns

    public void collectColumns(java.util.List<BaseColumn> columns)

### visitColumn

    public java.lang.Void visitColumn(Column column)

  Specified by:
    `visitColumn` in interface `ColumnVisitor<java.lang.Void>`

### visitColumnGroup

    public java.lang.Void visitColumnGroup(ColumnGroup columnGroup)

  Specified by:
    `visitColumnGroup` in interface `ColumnVisitor<java.lang.Void>`

### collectGroupCells

    protected void collectGroupCells(java.util.List<GroupCell> groupCells)

### collectCell

    protected void collectCell(Cell cell)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com